#!perl -T

# WWW::Atwiki::Page のテスト

use strict;
use warnings;
use utf8;

use Test::More tests => 5;

use WWW::Atwiki;
use Encode;

my $url = $ENV{ATWIKI_URL};
my $username = $ENV{ATWIKI_USERNAME};
my $password = $ENV{ATWIKI_PASSWORD};
my $testpage = decode( 'utf8', $ENV{ATWIKI_TESTPAGE} );

if ( ! $url || ! $username || ! $password || ! $testpage ) {
	die 'Env ATWIKI_URL, ATWIKI_USERNAME, ATWIKI_PASSWORD, ATWIKI_TESTPAGE are required!'
}

my $number    = 1;
my $content   = 'てすとですよ';
my $tag       = 'タグ1,タグ2';
my $edit_mode = 0;

my $page = WWW::Atwiki::Page->new(
	number    => $number,
	name      => $testpage,
	content   => $content,
	tag       => $tag,
	edit_mode => $edit_mode,
);

is( $page->number(),    $number,    'page number' );
is( $page->name(),      $testpage,  'page name' );
is( $page->content(),   $content,   'page content' );
is( $page->tag(),       $tag,       'page tag' );
is( $page->edit_mode(), $edit_mode, 'page edit_mode' );

diag( "Testing WWW::Atwiki $WWW::Atwiki::VERSION, Perl $], $^X" );
