#!perl -T

# ページ新規作成のテスト

use strict;
use warnings;
use utf8;

use Test::More tests => 2;

use WWW::Atwiki;
use Encode;

my $url = $ENV{ATWIKI_URL};
my $username = $ENV{ATWIKI_USERNAME};
my $password = $ENV{ATWIKI_PASSWORD};
my $testpage = decode( 'utf8', $ENV{ATWIKI_TESTPAGE} );

if ( ! $url || ! $username || ! $password || ! $testpage ) {
	die 'Env ATWIKI_URL, ATWIKI_USERNAME, ATWIKI_PASSWORD, ATWIKI_TESTPAGE are required!'
}

my $wiki = WWW::Atwiki->new(
	url      => $url,
	username => $username,
	password => $password,
);

my $number    = 1;
my $content   = 'てすとですよ';
my $tag       = 'タグ1,タグ2';
my $edit_mode = 0;

my $newpage = WWW::Atwiki::Page->new(
	number    => $number,
	name      => $testpage,
	content   => $content,
	tag       => $tag,
	edit_mode => $edit_mode,
);

is( $wiki->login(), 1, 'login');

my $num = eval { $wiki->new_page( $newpage ) } || 0;
ok( $num =~ /[1-9]/ || $@ =~ /already/, 'make new page' ); 

diag( "Testing WWW::Atwiki $WWW::Atwiki::VERSION, Perl $], $^X" );
