#!perl -T

# ページ名変更のテスト

use strict;
use warnings;
use utf8;

use Test::More tests => 1;

use WWW::Atwiki;
use Encode;

my $url = $ENV{ATWIKI_URL};
my $username = $ENV{ATWIKI_USERNAME};
my $password = $ENV{ATWIKI_PASSWORD};
my $testpage = decode( 'utf8', $ENV{ATWIKI_TESTPAGE} );

if ( ! $url || ! $username || ! $password || ! $testpage ) {
	die 'Env ATWIKI_URL, ATWIKI_USERNAME, ATWIKI_PASSWORD, ATWIKI_TESTPAGE are required!'
}

my $wiki = WWW::Atwiki->new(
	url      => $url,
	username => $username,
	password => $password,
);

$wiki->login();

my $num = $wiki->get_page_number( $testpage );
eval { $wiki->rename_page( $num, $testpage ) };

ok( $@ =~ /already/, 'rename page' ); 

diag( "Testing WWW::Atwiki $WWW::Atwiki::VERSION, Perl $], $^X" );
