#!perl -T

# ページ一覧取得のテスト

use strict;
use warnings;
use utf8;

use Test::More tests => 1;

use WWW::Atwiki;
use Encode;

my $url = $ENV{ATWIKI_URL};
my $username = $ENV{ATWIKI_USERNAME};
my $password = $ENV{ATWIKI_PASSWORD};
my $testpage = decode( 'utf8', $ENV{ATWIKI_TESTPAGE} );

if ( ! $url || ! $username || ! $password || ! $testpage ) {
	die 'Env ATWIKI_URL, ATWIKI_USERNAME, ATWIKI_PASSWORD, ATWIKI_TESTPAGE are required!'
}

my $wiki = WWW::Atwiki->new(
	url      => $url,
	username => $username,
	password => $password,
);

my %page_list = $wiki->get_page_list();

ok( grep { $_ eq $testpage } values %page_list, 'page list' );

diag( "Testing WWW::Atwiki $WWW::Atwiki::VERSION, Perl $], $^X" );
